[mapguide-commits] r8778 - in sandbox/jng/diet_vs2015: MgDev Oem

svn_mapguide at osgeo.org svn_mapguide at osgeo.org
Wed Oct 14 06:46:53 PDT 2015


Author: jng
Date: 2015-10-14 06:46:53 -0700 (Wed, 14 Oct 2015)
New Revision: 8778

Added:
   sandbox/jng/diet_vs2015/MgDev/prebuild.sh
   sandbox/jng/diet_vs2015/Oem/ace_ignore.txt
   sandbox/jng/diet_vs2015/Oem/build.bat
   sandbox/jng/diet_vs2015/Oem/build_oem.sh
   sandbox/jng/diet_vs2015/Oem/buildpack_readme.txt
   sandbox/jng/diet_vs2015/Oem/csmap_ignore.txt
   sandbox/jng/diet_vs2015/Oem/dbxml_ignore.txt
   sandbox/jng/diet_vs2015/Oem/ignore.txt
   sandbox/jng/diet_vs2015/Oem/oem_exclude.txt
   sandbox/jng/diet_vs2015/Oem/setenvironment.bat
Removed:
   sandbox/jng/diet_vs2015/MgDev/build_oem.sh
Log:
Move build_oem.sh to top-level Oem dir
Copy over ignore files and top-level build scripts from old diet_oem sandbox to top-level Oem dir

Deleted: sandbox/jng/diet_vs2015/MgDev/build_oem.sh
===================================================================
--- sandbox/jng/diet_vs2015/MgDev/build_oem.sh	2015-10-14 13:41:43 UTC (rev 8777)
+++ sandbox/jng/diet_vs2015/MgDev/build_oem.sh	2015-10-14 13:46:53 UTC (rev 8778)
@@ -1,691 +0,0 @@
-#
-#! /bin/bash
-#
-
-#
-# MapGuide Open Source build script.
-#
-
-#**********************************************************
-# Initialization
-#**********************************************************
-
-echo "MapGuide Open Source build script for OEM components"
-INSTALLDIR=/usr/local/mapguideopensource
-CLEAN_FLAG=0
-BUILD_CPU=32
-BUILD_CONFIG=release
-while [ $# -gt 0 ]; do    # Until you run out of parameters...
-    case "$1" in
-        -prefix|--prefix)
-            INSTALLDIR="$2"
-            shift
-            ;;
-        -clean|--clean)
-            CLEAN_FLAG=1
-            shift
-            ;;
-        -build|--build)
-            BUILD_CPU=$2
-            shift
-            ;;
-        -config|--config)
-            BUILD_CONFIG=$2
-            shift
-            ;;
-        -help|--help)
-            echo "Usage: $0 (options)"
-            echo "Options:"
-            echo "  --prefix [installation directory]"
-            echo "  --clean [clean all objects and binaries in Oem]"
-            echo "  --build [32(default)|64]"
-            echo "  --config [release(default)|debug]"
-            echo "  --help [Display usage]"
-            exit
-            ;;
-    esac
-    shift   # Check next set of parameters.
-done
-
-echo "OEM Build Initialization ............................"
-echo "Oem Libraries will be installed at: ${INSTALLDIR}"
-
-LIB_NAME=""
-
-#**********************************************************
-# Generic Functions
-#**********************************************************
-
-check_build()
-{
-    error=$?
-    if [ $error -ne 0 ]; then
-        echo "$LIB_NAME: Error build failed ($error)................."
-        exit $error
-    fi
-}
-
-check_clean()
-{
-    error=$?
-    if [ $error -ne 0 ]; then
-        echo "$LIB_NAME: Error clean failed ($error)................."
-        exit $error
-    fi
-}
-
-#**********************************************************
-# Build Apache/PHP
-# Notes: none
-#**********************************************************
-
-init_linuxapt()
-{
-    LIB_NAME="Apache/PHP/Tomcat"
-}
-
-build_linuxapt()
-{
-    pushd LinuxApt
-    ./build_apt.sh --prefix "${INSTALLDIR}" --with-tomcat
-    check_build
-    popd
-}
-
-clean_linuxapt()
-{
-    echo "Nothing to clean for LinuxApt"
-}
-
-#**********************************************************
-# Build ACE 6.2.6
-# Notes: none
-#**********************************************************
-
-init_ace()
-{
-    LIB_NAME="ACE 6.2.6"
-    ace_buildbits=32
-    ace_debug=0
-    ace_optimize=1
-    if [ $BUILD_CONFIG = "debug" ]; then
-        ace_debug=1
-        ace_optimize=0
-    chmod +x bin/*.sh
-    fi
-    if [ $BUILD_CPU -eq 64 ]; then
-        ace_buildbits=64
-    fi
-}
-
-build_ace()
-{
-    pushd ACE/ACE_wrappers
-    ACE_PATH="${PWD}"
-    pushd ace
-    env ACE_ROOT="${ACE_PATH}" make buildbits=$ace_buildbits debug=$ace_debug optimize=$ace_optimize
-    check_build
-    popd
-    popd
-}
-
-clean_ace()
-{
-    pushd ACE/ACE_wrappers
-    ACE_PATH="${PWD}"
-    pushd ace
-    env ACE_ROOT="${ACE_PATH}" make clean buildbits=$ace_buildbits debug=$ace_debug optimize=$ace_optimize
-    check_clean
-    popd
-    popd
-}
-
-#**********************************************************
-# Build DWFCORE 1.0
-# Notes: none
-#**********************************************************
-
-init_dwfcore()
-{
-    LIB_NAME="DWFCORE 1.0"
-    pushd DWFTK/develop/global/build/gnu/dwfcore
-    if [ $CLEAN_FLAG -eq 0 ]; then
-    	sh ./build_setup.sh
-    fi
-    popd
-}
-
-build_dwfcore()
-{
-    pushd DWFTK/develop/global/src/dwfcore
-    aclocal
-    libtoolize --copy --force
-    automake --add-missing --copy
-    autoconf
-    if [ $BUILD_CONFIG = "debug" ]; then
-        sh ./configure --disable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
-    else
-        sh ./configure --enable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
-    fi
-    make
-    check_build
-    popd
-}
-
-clean_dwfcore()
-{
-    pushd DWFTK/develop/global/src/dwfcore
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build DWFTOOLKIT 7.7
-# Notes: none
-#**********************************************************
-
-init_dwftk()
-{
-    LIB_NAME="DWFTK 7.7"
-    pushd DWFTK/develop/global/build/gnu/dwftoolkit
-    if [ $CLEAN_FLAG -eq 0 ]; then
-    	sh ./build_setup.sh
-    fi
-    popd
-}
-
-build_dwftk()
-{
-    pushd DWFTK/develop/global/src/dwf
-    aclocal
-    libtoolize --copy --force
-    automake --add-missing --copy
-    autoconf
-    if [ $BUILD_CONFIG = "debug" ]; then
-        sh ./configure --disable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
-    else
-        sh ./configure --enable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
-    fi
-    make
-    check_build
-    popd
-}
-
-clean_dwftk()
-{
-    pushd DWFTK/develop/global/src/dwf
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build GEOS 3.4.2
-# Notes: none
-#**********************************************************
-
-init_geos()
-{
-    LIB_NAME="GEOS 3.4.2"
-}
-
-build_geos()
-{
-    pushd geos
-    # For this version of GEOS, don't run the aclocal/libtoolize/automake/autoconf quartet as we normally do, as it
-    # may produce an unusable configure script. Just run autoreconf to regenerate the configure script from configure.in
-    autoreconf
-    if [ $BUILD_CPU -eq 64 ]; then
-        sh ./configure --with-pic --enable-silent-rules --prefix="${INSTALLDIR}"
-    else
-        sh ./configure --enable-silent-rules --prefix="${INSTALLDIR}"
-    fi
-    make
-    # The check build is disabled as the build will fail with automake version < 2.59
-    check_build
-    popd
-}
-
-clean_geos()
-{
-    pushd geos
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build SWIGEx 1.0
-# Notes: none
-#**********************************************************
-
-init_swigex()
-{
-    LIB_NAME="SWIGEx 1.0"
-}
-
-build_swigex()
-{
-    pushd SWIGEx
-    mkdir -p Linux/obj/release
-    make
-    check_build
-    popd
-}
-
-clean_swigex()
-{
-    pushd SWIGEx
-    # Note: the qmake system is required to regenerate the Makefile.
-    #       This is disabled.
-    # make clean
-    # check_clean
-    popd
-}
-
-#**********************************************************
-# Build BDBXML
-# Notes: none
-#**********************************************************
-
-init_bdbxml()
-{
-    LIB_NAME="BDBXML"
-}
-
-build_bdbxml()
-{
-    # Need to force regen of the correct xerces config header before building dbxml proper
-    pushd dbxml/xerces-c-src
-    sh ./configure
-    popd
-    # Also need to check and set executable flag for s_paths
-    pushd dbxml/dbxml/dist
-    chmod +x s_paths
-    popd
-    pushd dbxml
-    if [ $BUILD_CONFIG = "debug" ]; then
-        sh ./buildall.sh --enable-debug
-    else
-        sh ./buildall.sh
-    fi
-    check_build
-    popd
-}
-
-clean_bdbxml()
-{
-    pushd dbxml
-    sh ./buildall.sh --clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build CPPUNIT 1.9.14
-# Notes: none
-#**********************************************************
-
-init_cppunit()
-{
-    LIB_NAME="CPPUNIT 1.9.14"
-}
-
-build_cppunit()
-{
-    pushd CppUnit-1.9.14
-    # Force regen of configure to cover our bases
-    aclocal -I config
-    libtoolize --copy --force
-    autoconf
-    automake --add-missing --copy --force-missing
-    # -ldl is to prevent undefined reference to dlsym/dlopen/dlclose
-    sh ./configure --enable-silent-rules --prefix="${INSTALLDIR}" LDFLAGS="-ldl"
-    make
-    check_build
-    popd
-}
-
-clean_cppunit()
-{
-    pushd CppUnit-1.9.14
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build IMake 1.0
-# Notes: none
-#**********************************************************
-
-init_imake()
-{
-    LIB_NAME="IMake 1.0"
-}
-
-build_imake()
-{
-    pushd ../BuildTools/WebTools/IMake
-    mkdir -p Linux/obj/debug
-    make
-    check_build
-    popd
-}
-
-clean_imake()
-{
-    pushd ../BuildTools/WebTools/IMake
-    # Note: does not support clean as qmake is needed to regenerate the Makefile.
-    # make clean
-    # check_clean
-    popd
-}
-
-#**********************************************************
-# Build ZLIB 1.2.3
-# Notes: none
-#**********************************************************
-
-init_zlib()
-{
-    LIB_NAME="ZLIB 1.2.3"
-}
-
-build_zlib()
-{
-    pushd gd/zlib
-    sh ./configure
-    make
-    check_build
-    popd
-}
-
-clean_zlib()
-{
-    pushd gd/zlib
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build LIBPNG 1.2.8
-# Notes: none
-#**********************************************************
-
-init_libpng()
-{
-    LIB_NAME="LIBPNG 1.2.8"
-}
-
-build_libpng()
-{
-    pushd gd/lpng
-    cp scripts/makefile.std makefile
-    if [ $BUILD_CPU -eq 64 ]; then
-        #Inject -fPIC to CFLAGS for 64-bit
-        sed 's/^CFLAGS=/CFLAGS= -fPIC -m64 /g' makefile > makefile64
-        make -fmakefile64
-    else
-        make
-    fi
-    check_build
-    popd
-}
-
-clean_libpng()
-{
-    pushd gd/lpng
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build JPEG 6b
-# Notes: none
-#**********************************************************
-
-init_jpeg()
-{
-    LIB_NAME="JPEG 6b"
-}
-
-build_jpeg()
-{
-    pushd gd/jpeg
-    # A jconfig.h that is not modifed by ./configure will trip up make, so nuke it first
-    rm -f jconfig.h
-    if [ $BUILD_CPU -eq 64 ]; then
-        sh ./configure --enable-static --disable-shared
-        #--with-pic does nothing (probably ancient configure script), so do some sed trickery
-        #to inject this flag. Know a better way? Enlighten us :)
-        sed 's/^CFLAGS=/CFLAGS= -fPIC -m64 /g' Makefile > Makefile64
-        make -fMakefile64
-    else
-        sh ./configure --enable-static --disable-shared
-        make
-    fi
-    check_build
-    popd
-}
-
-clean_jpeg()
-{
-    pushd gd/jpeg
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build FREETYPE 2.1.10
-# Notes: none
-#**********************************************************
-
-init_freetype()
-{
-    LIB_NAME="FREETYPE 2.1.10"
-}
-
-build_freetype()
-{
-    pushd gd/freetype
-    if [ $BUILD_CPU -eq 64 ]; then
-        sh ./configure --enable-static --disable-shared --with-pic
-    else
-    	sh ./configure --enable-static --disable-shared
-    fi
-    make
-    check_build
-    popd
-}
-
-clean_freetype()
-{
-    pushd gd/freetype
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build GD 2.0.33
-# Notes: none
-#**********************************************************
-
-init_gd()
-{
-    LIB_NAME="GD 2.0.33"
-}
-
-build_gd()
-{
-    pushd gd/gd
-    if [ $BUILD_CPU -eq 64 ]; then
-        sh ./configure --enable-static --disable-shared --without-fontconfig --enable-silent-rules --with-pic
-    else
-        sh ./configure --enable-static --disable-shared --without-fontconfig --enable-silent-rules
-    fi
-    make
-    check_build
-    popd
-}
-
-clean_gd()
-{
-    pushd gd/gd
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build AGG 2.4
-# Notes: none
-#**********************************************************
-
-init_agg()
-{
-    LIB_NAME="AGG 2.4"
-}
-
-build_agg()
-{
-    pushd agg-2.4
-    if [ $BUILD_CPU -eq 64 ]; then
-        make EXTRACXXFLAGS="-fPIC -m64"
-    else
-        make
-    fi
-    check_build
-    popd
-}
-
-clean_agg()
-{
-    pushd agg-2.4
-    make clean
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build JSON
-# Notes: none
-#**********************************************************
-
-init_json()
-{
-    LIB_NAME="JSON"
-}
-
-build_json()
-{
-    pushd jsoncpp
-    # Use system scons
-    scons platform=linux-gcc
-    popd
-}
-
-clean_json()
-{
-    pushd jsoncpp
-    rm -rf lib buildscons dist
-    popd
-}
-
-#**********************************************************
-# Build CSMAP
-# Notes: none
-#**********************************************************
-
-init_csmap()
-{
-    LIB_NAME="CSMAP"
-}
-
-build_csmap()
-{
-    pushd CsMap
-    mkdir -p .libs
-    pushd Source
-    if [ $BUILD_CPU -eq 64 ]; then
-        make -fLibrary.mak PROCESSOR=x64
-    else
-        make -fLibrary.mak PROCESSOR=x86
-    fi
-    cp ../lib47/Linux$BUILD_CPU/CsMap.a ../.libs/libCsmap.a
-    popd
-    pushd Dictionaries
-    if [ $BUILD_CPU -eq 64 ]; then
-        make -fCompiler.mak PROCESSOR=x64
-    else
-        make -fCompiler.mak PROCESSOR=x86
-    fi
-
-    popd
-    check_build
-    popd
-}
-
-clean_csmap()
-{
-    pushd CsMap/Source
-    if [ $BUILD_CPU -eq 64 ]; then
-        make clean -fLibrary.mak PROCESSOR=x64
-    else
-        make clean -fLibrary.mak PROCESSOR=x86
-    fi
-    check_clean
-    popd
-}
-
-#**********************************************************
-# Build Fusion
-# Notes: requires Apache Ant
-#**********************************************************
-
-init_fusion()
-{
-    LIB_NAME="Fusion"
-}
-
-build_fusion()
-{
-    pushd fusion
-    ant prepare
-    ant compress
-    popd
-}
-
-clean_fusion()
-{
-    pushd fusion
-    ant clean
-    popd
-}
-
-#**********************************************************
-# Script loop
-#**********************************************************
-
-pushd Oem
-for lib in linuxapt fusion ace dwfcore dwftk geos bdbxml cppunit imake zlib libpng jpeg freetype gd agg json csmap;
-do
-    echo "$lib: Initialization..........................."
-    init_"$lib"
-
-    if test "$CLEAN_FLAG" = "1"; then
-        echo "$lib: Clean ....................................."
-        clean_"$lib"
-        echo "$lib: Clean Successful .........................."
-    else
-        echo "$lib: Configure/Build ..........................."
-        build_"$lib"
-        echo "$lib: Build Successful .........................."
-    fi
-done
-popd

Added: sandbox/jng/diet_vs2015/MgDev/prebuild.sh
===================================================================
--- sandbox/jng/diet_vs2015/MgDev/prebuild.sh	                        (rev 0)
+++ sandbox/jng/diet_vs2015/MgDev/prebuild.sh	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,152 @@
+#
+#! /bin/bash
+#
+
+#
+# MapGuide Open Source build script.
+#
+
+#**********************************************************
+# Initialization
+#**********************************************************
+
+echo "MapGuide Open Source build script for OEM components"
+INSTALLDIR=/usr/local/mapguideopensource
+CLEAN_FLAG=0
+BUILD_CPU=32
+BUILD_CONFIG=release
+while [ $# -gt 0 ]; do    # Until you run out of parameters...
+    case "$1" in
+        -prefix|--prefix)
+            INSTALLDIR="$2"
+            shift
+            ;;
+        -clean|--clean)
+            CLEAN_FLAG=1
+            shift
+            ;;
+        -build|--build)
+            BUILD_CPU=$2
+            shift
+            ;;
+        -config|--config)
+            BUILD_CONFIG=$2
+            shift
+            ;;
+        -help|--help)
+            echo "Usage: $0 (options)"
+            echo "Options:"
+            echo "  --prefix [installation directory]"
+            echo "  --clean [clean all objects and binaries in Oem]"
+            echo "  --build [32(default)|64]"
+            echo "  --config [release(default)|debug]"
+            echo "  --help [Display usage]"
+            exit
+            ;;
+    esac
+    shift   # Check next set of parameters.
+done
+
+echo "OEM Build Initialization ............................"
+echo "Oem Libraries will be installed at: ${INSTALLDIR}"
+
+LIB_NAME=""
+
+#**********************************************************
+# Generic Functions
+#**********************************************************
+
+check_build()
+{
+    error=$?
+    if [ $error -ne 0 ]; then
+        echo "$LIB_NAME: Error build failed ($error)................."
+        exit $error
+    fi
+}
+
+check_clean()
+{
+    error=$?
+    if [ $error -ne 0 ]; then
+        echo "$LIB_NAME: Error clean failed ($error)................."
+        exit $error
+    fi
+}
+
+#**********************************************************
+# Build AGG 2.4
+# Notes: none
+#**********************************************************
+
+init_agg()
+{
+    LIB_NAME="AGG 2.4"
+}
+
+build_agg()
+{
+    pushd agg-2.4
+    if [ $BUILD_CPU -eq 64 ]; then
+        make EXTRACXXFLAGS="-fPIC -m64"
+    else
+        make
+    fi
+    check_build
+    popd
+}
+
+clean_agg()
+{
+    pushd agg-2.4
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build Fusion
+# Notes: requires Apache Ant
+#**********************************************************
+
+init_fusion()
+{
+    LIB_NAME="Fusion"
+}
+
+build_fusion()
+{
+    pushd fusion
+    ant prepare
+    ant compress
+    popd
+}
+
+clean_fusion()
+{
+    pushd fusion
+    ant clean
+    popd
+}
+
+#**********************************************************
+# Script loop
+#**********************************************************
+
+pushd Oem
+for lib in fusion agg;
+do
+    echo "$lib: Initialization..........................."
+    init_"$lib"
+
+    if test "$CLEAN_FLAG" = "1"; then
+        echo "$lib: Clean ....................................."
+        clean_"$lib"
+        echo "$lib: Clean Successful .........................."
+    else
+        echo "$lib: Configure/Build ..........................."
+        build_"$lib"
+        echo "$lib: Build Successful .........................."
+    fi
+done
+popd

Added: sandbox/jng/diet_vs2015/Oem/ace_ignore.txt
===================================================================
--- sandbox/jng/diet_vs2015/Oem/ace_ignore.txt	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/ace_ignore.txt	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,10 @@
+.sln
+.vcxproj
+.vcproj
+.mwc
+ACE\ACE_Wrappers\ASNMP
+ACE\ACE_Wrappers\include
+ACE\ACE_Wrappers\bin
+ACE\ACE_Wrappers\etc
+ACE\ACE_Wrappers\obj
+ACE\ACE_Wrappers\obj64
\ No newline at end of file

Added: sandbox/jng/diet_vs2015/Oem/build.bat
===================================================================
--- sandbox/jng/diet_vs2015/Oem/build.bat	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/build.bat	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,136 @@
+ at echo off
+SET MG_OEM_OUTPUT=%CD%\output
+SET MG_OEM_PLATFORM=x64
+SET MG_OEM_CONFIG=Release
+SET MG_OEM_ACTION=build
+SET MG_OEM_BUILD_PACK_SUFFIX=trunk-%date:~10,4%%date:~4,2%%date:~7,2%
+SET MG_CORE_COUNT=1
+:study_params
+if (%1)==() goto start_build
+
+if "%1"=="-config"   goto get_config
+if "%1"=="-c"        goto get_config
+
+if "%1"=="-platform" goto get_platform
+if "%1"=="-p"        goto get_platform
+
+if "%1"=="-help"     goto help_show
+if "%1"=="-h"        goto help_show
+
+if "%1"=="-n"        goto get_corecount
+if "%1"=="-numcores" goto get_corecount
+
+if "%1"=="-a"        goto get_action
+if "%1"=="-action"   goto get_action
+
+if "%1"=="-o"        goto get_output
+
+goto custom_error
+
+:next_param
+shift
+shift
+goto study_params
+
+:get_platform
+SET MG_OEM_PLATFORM=%2
+if "%2"=="Win32" goto next_param
+if "%2"=="x64" goto next_param
+SET ERRORMSG=Unrecognised platform: %2
+goto custom_error
+
+:get_config
+SET MG_OEM_CONFIG=%2
+if "%2"=="Debug" goto next_param
+if "%2"=="debug" (
+    SET MG_OEM_CONFIG=Debug
+    goto next_param
+)
+if "%2"=="Release" goto next_param
+if "%2"=="release" (
+    SET MG_OEM_CONFIG=Release
+    goto next_param
+)
+SET ERRORMSG=Unrecognised config: %2
+goto custom_error
+
+:get_output
+SET MG_OEM_OUTPUT=%2
+goto next_param
+
+:get_corecount
+SET MG_CORE_COUNT=%2
+if "%2"=="" SET MG_CORE_COUNT=%NUMBER_OF_PROCESSORS%
+goto next_param
+
+:get_action
+SET MG_OEM_ACTION=%2
+if "%2"=="build" goto next_param
+if "%2"=="clean" goto next_param
+SET ERRORMSG=Unrecognised action: %2
+goto custom_error
+
+:start_build
+if "%MG_OEM_ACTION%"=="build" goto do_build
+if "%MG_OEM_ACTION%"=="clean" goto do_clean
+SET ERRORMSG=Unrecognised action: %MG_OEM_ACTION%
+goto custom_error
+
+:do_build
+echo [build]: OEM [%MG_OEM_CONFIG%,%MG_OEM_PLATFORM%] to: %MG_OEM_OUTPUT% [%MG_CORE_COUNT% cores, suffix: %MG_OEM_BUILD_PACK_SUFFIX%]
+msbuild /p:Configuration=%MG_OEM_CONFIG%;Platform=%MG_OEM_PLATFORM% /t:build /m:%MG_CORE_COUNT% oem.sln
+msbuild /p:Configuration=%MG_OEM_CONFIG%;Platform=%MG_OEM_PLATFORM% /t:build /m:%MG_CORE_COUNT% CsMap\VC110\OpenSource.sln
+xcopy /S /Y /I "%CD%\ACE" "%MG_OEM_OUTPUT%\ACE" /EXCLUDE:ace_ignore.txt
+xcopy /S /Y /I "%CD%\CsMap" "%MG_OEM_OUTPUT%\CsMap" /EXCLUDE:csmap_ignore.txt
+xcopy /S /Y /I "%CD%\CppUnit-1.9.14" "%MG_OEM_OUTPUT%\CppUnit-1.9.14" /EXCLUDE:ignore.txt
+xcopy /S /Y /I "%CD%\dbxml" "%MG_OEM_OUTPUT%\dbxml" /EXCLUDE:dbxml_ignore.txt
+xcopy /S /Y /I "%CD%\DWFTK" "%MG_OEM_OUTPUT%\DWFTK" /EXCLUDE:ignore.txt
+xcopy /S /Y /I "%CD%\gd" "%MG_OEM_OUTPUT%\gd" /EXCLUDE:ignore.txt
+xcopy /S /Y /I "%CD%\FDO\ProviderList" "%MG_OEM_OUTPUT%\FDO\ProviderList"
+xcopy /S /Y /I "%CD%\GEOS" "%MG_OEM_OUTPUT%\GEOS" /EXCLUDE:ignore.txt
+xcopy /S /Y /I "%CD%\httpd" "%MG_OEM_OUTPUT%\httpd"
+xcopy /R /D /Y "%CD%\LinuxApt\httpd-2.4.10.tar.bz2" "%MG_OEM_OUTPUT%\LinuxApt\"
+xcopy /R /D /Y "%CD%\LinuxApt\php-5.5.17.tar.bz2" "%MG_OEM_OUTPUT%\LinuxApt\"
+xcopy /R /D /Y "%CD%\LinuxApt\apache-tomcat-7.0.56.tar.gz" "%MG_OEM_OUTPUT%\LinuxApt\"
+xcopy /R /D /Y "%CD%\LinuxApt\server.xml" "%MG_OEM_OUTPUT%\LinuxApt\"
+xcopy /S /Y /I "%CD%\jsoncpp" "%MG_OEM_OUTPUT%\jsoncpp" /EXCLUDE:ignore.txt
+xcopy /S /Y /I "%CD%\php" "%MG_OEM_OUTPUT%\php"
+xcopy /S /Y /I "%CD%\SWIGEx" "%MG_OEM_OUTPUT%\SWIGEx"
+xcopy /S /Y /I "%CD%\WebTools" "%MG_OEM_OUTPUT%\WebTools"
+copy /Y setenvironment.bat "%MG_OEM_OUTPUT%"
+copy /Y buildpack_readme.txt "%MG_OEM_OUTPUT%"
+SET SEVENZ=%CD%\WebTools\7-zip\7z.exe
+pushd %MG_OEM_OUTPUT%
+%SEVENZ% a -t7z -sfx -mx9 -aoa mapguide-buildpack-%MG_OEM_CONFIG%-%MG_OEM_PLATFORM%-%MG_OEM_BUILD_PACK_SUFFIX%.exe *
+popd
+goto quit
+
+:do_clean
+echo [clean]: OEM [%MG_OEM_CONFIG%,%MG_OEM_PLATFORM%] to: %MG_OEM_OUTPUT%
+msbuild /p:Configuration=%MG_OEM_CONFIG%;Platform=%MG_OEM_PLATFORM% /t:clean oem.sln
+msbuild /p:Configuration=%MG_OEM_CONFIG%;Platform=%MG_OEM_PLATFORM% /t:clean CsMap\VC110\OpenSource.sln
+goto quit
+
+:custom_error_no_help
+echo [ERROR]: %ERRORMSG%
+SET ERRORMSG=
+exit /B 1
+
+:custom_error
+echo [ERROR]: %ERRORMSG%
+SET ERRORMSG=
+echo Please use the format:
+:help_show
+echo ************************************************************************
+echo build.bat [-h]
+echo           [-a=Action]
+echo           [-o=OutputDirectory]
+echo Help:                  -h[elp]
+echo Action:                -a[ction]=build(default)
+echo                                  clean
+echo ************************************************************************
+:quit
+SET MG_OEM_OUTPUT=
+SET MG_OEM_PLATFORM=
+SET MG_OEM_CONFIG=
+SET MG_OEM_ACTION=
\ No newline at end of file

Copied: sandbox/jng/diet_vs2015/Oem/build_oem.sh (from rev 8776, sandbox/jng/diet_vs2015/MgDev/build_oem.sh)
===================================================================
--- sandbox/jng/diet_vs2015/Oem/build_oem.sh	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/build_oem.sh	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,691 @@
+#
+#! /bin/bash
+#
+
+#
+# MapGuide Open Source build script.
+#
+
+#**********************************************************
+# Initialization
+#**********************************************************
+
+echo "MapGuide Open Source build script for OEM components"
+INSTALLDIR=/usr/local/mapguideopensource
+CLEAN_FLAG=0
+BUILD_CPU=32
+BUILD_CONFIG=release
+while [ $# -gt 0 ]; do    # Until you run out of parameters...
+    case "$1" in
+        -prefix|--prefix)
+            INSTALLDIR="$2"
+            shift
+            ;;
+        -clean|--clean)
+            CLEAN_FLAG=1
+            shift
+            ;;
+        -build|--build)
+            BUILD_CPU=$2
+            shift
+            ;;
+        -config|--config)
+            BUILD_CONFIG=$2
+            shift
+            ;;
+        -help|--help)
+            echo "Usage: $0 (options)"
+            echo "Options:"
+            echo "  --prefix [installation directory]"
+            echo "  --clean [clean all objects and binaries in Oem]"
+            echo "  --build [32(default)|64]"
+            echo "  --config [release(default)|debug]"
+            echo "  --help [Display usage]"
+            exit
+            ;;
+    esac
+    shift   # Check next set of parameters.
+done
+
+echo "OEM Build Initialization ............................"
+echo "Oem Libraries will be installed at: ${INSTALLDIR}"
+
+LIB_NAME=""
+
+#**********************************************************
+# Generic Functions
+#**********************************************************
+
+check_build()
+{
+    error=$?
+    if [ $error -ne 0 ]; then
+        echo "$LIB_NAME: Error build failed ($error)................."
+        exit $error
+    fi
+}
+
+check_clean()
+{
+    error=$?
+    if [ $error -ne 0 ]; then
+        echo "$LIB_NAME: Error clean failed ($error)................."
+        exit $error
+    fi
+}
+
+#**********************************************************
+# Build Apache/PHP
+# Notes: none
+#**********************************************************
+
+init_linuxapt()
+{
+    LIB_NAME="Apache/PHP/Tomcat"
+}
+
+build_linuxapt()
+{
+    pushd LinuxApt
+    ./build_apt.sh --prefix "${INSTALLDIR}" --with-tomcat
+    check_build
+    popd
+}
+
+clean_linuxapt()
+{
+    echo "Nothing to clean for LinuxApt"
+}
+
+#**********************************************************
+# Build ACE 6.2.6
+# Notes: none
+#**********************************************************
+
+init_ace()
+{
+    LIB_NAME="ACE 6.2.6"
+    ace_buildbits=32
+    ace_debug=0
+    ace_optimize=1
+    if [ $BUILD_CONFIG = "debug" ]; then
+        ace_debug=1
+        ace_optimize=0
+    chmod +x bin/*.sh
+    fi
+    if [ $BUILD_CPU -eq 64 ]; then
+        ace_buildbits=64
+    fi
+}
+
+build_ace()
+{
+    pushd ACE/ACE_wrappers
+    ACE_PATH="${PWD}"
+    pushd ace
+    env ACE_ROOT="${ACE_PATH}" make buildbits=$ace_buildbits debug=$ace_debug optimize=$ace_optimize
+    check_build
+    popd
+    popd
+}
+
+clean_ace()
+{
+    pushd ACE/ACE_wrappers
+    ACE_PATH="${PWD}"
+    pushd ace
+    env ACE_ROOT="${ACE_PATH}" make clean buildbits=$ace_buildbits debug=$ace_debug optimize=$ace_optimize
+    check_clean
+    popd
+    popd
+}
+
+#**********************************************************
+# Build DWFCORE 1.0
+# Notes: none
+#**********************************************************
+
+init_dwfcore()
+{
+    LIB_NAME="DWFCORE 1.0"
+    pushd DWFTK/develop/global/build/gnu/dwfcore
+    if [ $CLEAN_FLAG -eq 0 ]; then
+    	sh ./build_setup.sh
+    fi
+    popd
+}
+
+build_dwfcore()
+{
+    pushd DWFTK/develop/global/src/dwfcore
+    aclocal
+    libtoolize --copy --force
+    automake --add-missing --copy
+    autoconf
+    if [ $BUILD_CONFIG = "debug" ]; then
+        sh ./configure --disable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
+    else
+        sh ./configure --enable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
+    fi
+    make
+    check_build
+    popd
+}
+
+clean_dwfcore()
+{
+    pushd DWFTK/develop/global/src/dwfcore
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build DWFTOOLKIT 7.7
+# Notes: none
+#**********************************************************
+
+init_dwftk()
+{
+    LIB_NAME="DWFTK 7.7"
+    pushd DWFTK/develop/global/build/gnu/dwftoolkit
+    if [ $CLEAN_FLAG -eq 0 ]; then
+    	sh ./build_setup.sh
+    fi
+    popd
+}
+
+build_dwftk()
+{
+    pushd DWFTK/develop/global/src/dwf
+    aclocal
+    libtoolize --copy --force
+    automake --add-missing --copy
+    autoconf
+    if [ $BUILD_CONFIG = "debug" ]; then
+        sh ./configure --disable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
+    else
+        sh ./configure --enable-optimized --enable-silent-rules --prefix="${INSTALLDIR}"
+    fi
+    make
+    check_build
+    popd
+}
+
+clean_dwftk()
+{
+    pushd DWFTK/develop/global/src/dwf
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build GEOS 3.4.2
+# Notes: none
+#**********************************************************
+
+init_geos()
+{
+    LIB_NAME="GEOS 3.4.2"
+}
+
+build_geos()
+{
+    pushd geos
+    # For this version of GEOS, don't run the aclocal/libtoolize/automake/autoconf quartet as we normally do, as it
+    # may produce an unusable configure script. Just run autoreconf to regenerate the configure script from configure.in
+    autoreconf
+    if [ $BUILD_CPU -eq 64 ]; then
+        sh ./configure --with-pic --enable-silent-rules --prefix="${INSTALLDIR}"
+    else
+        sh ./configure --enable-silent-rules --prefix="${INSTALLDIR}"
+    fi
+    make
+    # The check build is disabled as the build will fail with automake version < 2.59
+    check_build
+    popd
+}
+
+clean_geos()
+{
+    pushd geos
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build SWIGEx 1.0
+# Notes: none
+#**********************************************************
+
+init_swigex()
+{
+    LIB_NAME="SWIGEx 1.0"
+}
+
+build_swigex()
+{
+    pushd SWIGEx
+    mkdir -p Linux/obj/release
+    make
+    check_build
+    popd
+}
+
+clean_swigex()
+{
+    pushd SWIGEx
+    # Note: the qmake system is required to regenerate the Makefile.
+    #       This is disabled.
+    # make clean
+    # check_clean
+    popd
+}
+
+#**********************************************************
+# Build BDBXML
+# Notes: none
+#**********************************************************
+
+init_bdbxml()
+{
+    LIB_NAME="BDBXML"
+}
+
+build_bdbxml()
+{
+    # Need to force regen of the correct xerces config header before building dbxml proper
+    pushd dbxml/xerces-c-src
+    sh ./configure
+    popd
+    # Also need to check and set executable flag for s_paths
+    pushd dbxml/dbxml/dist
+    chmod +x s_paths
+    popd
+    pushd dbxml
+    if [ $BUILD_CONFIG = "debug" ]; then
+        sh ./buildall.sh --enable-debug
+    else
+        sh ./buildall.sh
+    fi
+    check_build
+    popd
+}
+
+clean_bdbxml()
+{
+    pushd dbxml
+    sh ./buildall.sh --clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build CPPUNIT 1.9.14
+# Notes: none
+#**********************************************************
+
+init_cppunit()
+{
+    LIB_NAME="CPPUNIT 1.9.14"
+}
+
+build_cppunit()
+{
+    pushd CppUnit-1.9.14
+    # Force regen of configure to cover our bases
+    aclocal -I config
+    libtoolize --copy --force
+    autoconf
+    automake --add-missing --copy --force-missing
+    # -ldl is to prevent undefined reference to dlsym/dlopen/dlclose
+    sh ./configure --enable-silent-rules --prefix="${INSTALLDIR}" LDFLAGS="-ldl"
+    make
+    check_build
+    popd
+}
+
+clean_cppunit()
+{
+    pushd CppUnit-1.9.14
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build IMake 1.0
+# Notes: none
+#**********************************************************
+
+init_imake()
+{
+    LIB_NAME="IMake 1.0"
+}
+
+build_imake()
+{
+    pushd ../BuildTools/WebTools/IMake
+    mkdir -p Linux/obj/debug
+    make
+    check_build
+    popd
+}
+
+clean_imake()
+{
+    pushd ../BuildTools/WebTools/IMake
+    # Note: does not support clean as qmake is needed to regenerate the Makefile.
+    # make clean
+    # check_clean
+    popd
+}
+
+#**********************************************************
+# Build ZLIB 1.2.3
+# Notes: none
+#**********************************************************
+
+init_zlib()
+{
+    LIB_NAME="ZLIB 1.2.3"
+}
+
+build_zlib()
+{
+    pushd gd/zlib
+    sh ./configure
+    make
+    check_build
+    popd
+}
+
+clean_zlib()
+{
+    pushd gd/zlib
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build LIBPNG 1.2.8
+# Notes: none
+#**********************************************************
+
+init_libpng()
+{
+    LIB_NAME="LIBPNG 1.2.8"
+}
+
+build_libpng()
+{
+    pushd gd/lpng
+    cp scripts/makefile.std makefile
+    if [ $BUILD_CPU -eq 64 ]; then
+        #Inject -fPIC to CFLAGS for 64-bit
+        sed 's/^CFLAGS=/CFLAGS= -fPIC -m64 /g' makefile > makefile64
+        make -fmakefile64
+    else
+        make
+    fi
+    check_build
+    popd
+}
+
+clean_libpng()
+{
+    pushd gd/lpng
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build JPEG 6b
+# Notes: none
+#**********************************************************
+
+init_jpeg()
+{
+    LIB_NAME="JPEG 6b"
+}
+
+build_jpeg()
+{
+    pushd gd/jpeg
+    # A jconfig.h that is not modifed by ./configure will trip up make, so nuke it first
+    rm -f jconfig.h
+    if [ $BUILD_CPU -eq 64 ]; then
+        sh ./configure --enable-static --disable-shared
+        #--with-pic does nothing (probably ancient configure script), so do some sed trickery
+        #to inject this flag. Know a better way? Enlighten us :)
+        sed 's/^CFLAGS=/CFLAGS= -fPIC -m64 /g' Makefile > Makefile64
+        make -fMakefile64
+    else
+        sh ./configure --enable-static --disable-shared
+        make
+    fi
+    check_build
+    popd
+}
+
+clean_jpeg()
+{
+    pushd gd/jpeg
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build FREETYPE 2.1.10
+# Notes: none
+#**********************************************************
+
+init_freetype()
+{
+    LIB_NAME="FREETYPE 2.1.10"
+}
+
+build_freetype()
+{
+    pushd gd/freetype
+    if [ $BUILD_CPU -eq 64 ]; then
+        sh ./configure --enable-static --disable-shared --with-pic
+    else
+    	sh ./configure --enable-static --disable-shared
+    fi
+    make
+    check_build
+    popd
+}
+
+clean_freetype()
+{
+    pushd gd/freetype
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build GD 2.0.33
+# Notes: none
+#**********************************************************
+
+init_gd()
+{
+    LIB_NAME="GD 2.0.33"
+}
+
+build_gd()
+{
+    pushd gd/gd
+    if [ $BUILD_CPU -eq 64 ]; then
+        sh ./configure --enable-static --disable-shared --without-fontconfig --enable-silent-rules --with-pic
+    else
+        sh ./configure --enable-static --disable-shared --without-fontconfig --enable-silent-rules
+    fi
+    make
+    check_build
+    popd
+}
+
+clean_gd()
+{
+    pushd gd/gd
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build AGG 2.4
+# Notes: none
+#**********************************************************
+
+init_agg()
+{
+    LIB_NAME="AGG 2.4"
+}
+
+build_agg()
+{
+    pushd agg-2.4
+    if [ $BUILD_CPU -eq 64 ]; then
+        make EXTRACXXFLAGS="-fPIC -m64"
+    else
+        make
+    fi
+    check_build
+    popd
+}
+
+clean_agg()
+{
+    pushd agg-2.4
+    make clean
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build JSON
+# Notes: none
+#**********************************************************
+
+init_json()
+{
+    LIB_NAME="JSON"
+}
+
+build_json()
+{
+    pushd jsoncpp
+    # Use system scons
+    scons platform=linux-gcc
+    popd
+}
+
+clean_json()
+{
+    pushd jsoncpp
+    rm -rf lib buildscons dist
+    popd
+}
+
+#**********************************************************
+# Build CSMAP
+# Notes: none
+#**********************************************************
+
+init_csmap()
+{
+    LIB_NAME="CSMAP"
+}
+
+build_csmap()
+{
+    pushd CsMap
+    mkdir -p .libs
+    pushd Source
+    if [ $BUILD_CPU -eq 64 ]; then
+        make -fLibrary.mak PROCESSOR=x64
+    else
+        make -fLibrary.mak PROCESSOR=x86
+    fi
+    cp ../lib47/Linux$BUILD_CPU/CsMap.a ../.libs/libCsmap.a
+    popd
+    pushd Dictionaries
+    if [ $BUILD_CPU -eq 64 ]; then
+        make -fCompiler.mak PROCESSOR=x64
+    else
+        make -fCompiler.mak PROCESSOR=x86
+    fi
+
+    popd
+    check_build
+    popd
+}
+
+clean_csmap()
+{
+    pushd CsMap/Source
+    if [ $BUILD_CPU -eq 64 ]; then
+        make clean -fLibrary.mak PROCESSOR=x64
+    else
+        make clean -fLibrary.mak PROCESSOR=x86
+    fi
+    check_clean
+    popd
+}
+
+#**********************************************************
+# Build Fusion
+# Notes: requires Apache Ant
+#**********************************************************
+
+init_fusion()
+{
+    LIB_NAME="Fusion"
+}
+
+build_fusion()
+{
+    pushd fusion
+    ant prepare
+    ant compress
+    popd
+}
+
+clean_fusion()
+{
+    pushd fusion
+    ant clean
+    popd
+}
+
+#**********************************************************
+# Script loop
+#**********************************************************
+
+pushd Oem
+for lib in linuxapt fusion ace dwfcore dwftk geos bdbxml cppunit imake zlib libpng jpeg freetype gd agg json csmap;
+do
+    echo "$lib: Initialization..........................."
+    init_"$lib"
+
+    if test "$CLEAN_FLAG" = "1"; then
+        echo "$lib: Clean ....................................."
+        clean_"$lib"
+        echo "$lib: Clean Successful .........................."
+    else
+        echo "$lib: Configure/Build ..........................."
+        build_"$lib"
+        echo "$lib: Build Successful .........................."
+    fi
+done
+popd

Added: sandbox/jng/diet_vs2015/Oem/buildpack_readme.txt
===================================================================
--- sandbox/jng/diet_vs2015/Oem/buildpack_readme.txt	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/buildpack_readme.txt	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,59 @@
+MapGuide OEM Buildpack README
+=============================
+
+This document describes the MapGuide OEM buildpack
+
+Purpose
+=======
+
+MapGuide relies on many thirdparty components. The source code for these components are included with the source for MapGuide. This is a blessing and a curse.
+
+ - It's a blessing it means all the source code is there to build MapGuide from the ground up. No need to try and find these dependencies, it's all together
+ - It's a curse because these components:
+    - Have to be built everytime MapGuide is built adding to overall build times, according to our previous build systems. These components only have to be built once
+    - Adds extra size burden to the MapGuide source tree. This is 1.9GB of source code and other various files!
+
+This build pack aims to alleviate such problems by including the necessary headers, precompiled binaries and import libraries that allow you to build MapGuide 
+without needing to download and build the source for all thirdparty components.
+
+With this build pack, you now only just have to build the MapGuide source, which when free of the Oem source now weighs in under 300MB uncompressed, with build times
+up to twice as fast.
+
+What's included in this buildpack
+=================================
+
+ * Headers, libs, supporting data files and pre-compiled binaries (where applicable) for:
+    * ACE
+    * CS-Map (includes dictionary data files)
+    * CppUnit
+    * DBXML
+        * Xerces
+        * db
+        * xqilla
+    * DWF Toolkit
+    * GD
+    * GEOS
+    * httpd
+    * jsoncpp
+    * php
+ * Supporting build tools and utilities:
+    * SWIG
+    * IMake (SWIG preparation tool)
+    * SetAssemblyVersion (for stamping version numbers to AssemblyInfo.cs files)
+    * 7-zip
+
+Usage
+=====
+
+ 1. Extract this archive to a location of your choice
+ 2. In a Visual Studio command-line prompt, run setenvironment.bat from the extracted location
+    a. Pass -p=Win32|x64 to set the desired CPU platform (default is x64)
+    b. Pass -c=Debug|Release to set the desired configuration (default is Release)
+ 3.a. For an IDE build, type devenv to launch Visual Studio and have it pull in the environment variables set by setenvironment.bat
+ 3.b. For a command-line build, run build.bat from the MapGuide source root
+ 
+Important Notes
+===============
+
+Any build whether it's IDE or command-line must use the same platform/configuration as you have set via setenvironment.bat. If you set (Release, x64) then you must
+build from the IDE or command-line using the same platform/configuration
\ No newline at end of file

Added: sandbox/jng/diet_vs2015/Oem/csmap_ignore.txt
===================================================================
--- sandbox/jng/diet_vs2015/Oem/csmap_ignore.txt	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/csmap_ignore.txt	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,17 @@
+CsMap\CsMapConsoleUtilities
+CsMap\Data
+CsMap\Documentation
+CsMap\Source
+CsMap\TestCpp
+CsMap\VC90
+CsMap\VC100
+CsMap\VC110
+CsMap\VC120
+CsMap\obj110
+CsMap\Dictionaries\WW15MGH.GRD
+CsMap\Dictionaries\Usa\Geoid96
+CsMap\Dictionaries\Usa\Geoid99
+CsMap\Dictionaries\Usa\Geoid03
+CsMap\Dictionaries\Usa\NSRS2007
+CsMap\Dictionaries\Usa\NSRS2011
+CS_TestCpp
\ No newline at end of file

Added: sandbox/jng/diet_vs2015/Oem/dbxml_ignore.txt
===================================================================
--- sandbox/jng/diet_vs2015/Oem/dbxml_ignore.txt	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/dbxml_ignore.txt	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,20 @@
+dbxml\db-4.8.26
+dbxml\xerces-c-src
+dbxml\xqilla
+dbxml\jar
+dbxml\jar64
+dbxml\dbxml\build_unix
+dbxml\dbxml\build_windows
+dbxml\dbxml\dist
+dbxml\dbxml\docs
+dbxml\dbxml\examples
+dbxml\dbxml\include
+dbxml\dbxml\src
+dbxml\dbxml\test
+dbxml\dbxml\aclocal.m4
+dbxml\dbxml\configure
+dbxml\dbxml\configure.in
+dbxml\dbxml\LICENSE
+dbxml\dbxml\Makefile.am
+dbxml\dbxml\Makefile.in
+dbxml\dbxml\README
\ No newline at end of file

Added: sandbox/jng/diet_vs2015/Oem/ignore.txt
===================================================================
--- sandbox/jng/diet_vs2015/Oem/ignore.txt	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/ignore.txt	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,100 @@
+.pm
+.pl
+.py
+.lst
+.vcxproj
+.filters
+.gnu
+.cpp
+.cxx
+.cc
+.obj
+.tlog
+.mpb
+.mpd
+.mpc
+.mpc
+.mwc
+.features
+.lastbuildstate
+.html
+.doxygen
+.sln
+.exe
+.ini
+.spl
+.sh
+.idb
+.res
+.bin
+vc110.pdb
+.m4
+.in
+.guess
+.am
+.dsw
+.dsp
+.vcproj
+.zip
+.dsm
+.txt
+.xml
+.xsl
+.spec
+.sub
+.wwtpl
+.dox
+.opt
+.bmp
+.jpg
+.jpeg
+.png
+.gif
+.pro
+.rc
+.rc2
+.bat
+.java
+.awk
+.htm
+.html
+.pdf
+.i
+.src
+.xq
+.xsd
+.vc
+Makefile
+README
+CppUnit-1.9.14\config
+CppUnit-1.9.14\contrib
+CppUnit-1.9.14\doc
+CppUnit-1.9.14\examples
+CppUnit-1.9.14\src
+DWFTK\develop\global\build
+DWFTK\develop\global\rc
+GEOS\capi
+GEOS\cmake
+GEOS\doc
+GEOS\macros
+GEOS\php
+GEOS\src
+GEOS\swig
+GEOS\tests
+GEOS\tools
+gd\freetype\builds
+gd\freetype\devel
+gd\freetype\docs
+gd\freetype\src
+gd\lpng\contrib
+gd\lpng\projects\beos
+gd\lpng\projects\cbuilder5
+gd\lpng\projects\visualc6
+gd\lpng\projects\visualc8
+gd\lpng\scripts
+jsoncpp\doc
+jsoncpp\makefiles
+jsoncpp\scons-local-0.97
+jsoncpp\scons-tools
+jsoncpp\src
+jsoncpp\test
\ No newline at end of file

Added: sandbox/jng/diet_vs2015/Oem/oem_exclude.txt
===================================================================
--- sandbox/jng/diet_vs2015/Oem/oem_exclude.txt	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/oem_exclude.txt	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,143 @@
+.svn
+*.sln
+*.html
+*.xml
+*.m4
+*.sh
+*.in
+*.log
+*.am
+*.bat
+*.o
+*.mak
+*.nmk
+*.phpt
+*.mwc
+*.rc
+*.py
+*.dsw
+*.dsp
+*.Plo
+*.lo
+*.la
+install-sh
+libtool
+autogen.sh
+CMakeLists.txt
+AUTHORS
+BUGS
+ChangeLog
+CHANGES
+COPYING
+INSTALL
+NEWS
+THANKS
+TODO
+LICENSE
+README
+Makefile
+aclocal.m4
+configure
+autom4te.cache
+/ACE/ACE_wrappers/ASNMP
+/ACE/ACE_wrappers/bin
+/ACE/ACE_wrappers/etc
+/ACE/ACE_wrappers/include
+/CppUnit-1.9.14/autom4te.cache
+/CppUnit-1.9.14/config
+/CppUnit-1.9.14/contrib
+/CppUnit-1.9.14/doc
+/CppUnit-1.9.14/examples
+/CppUnit-1.9.14/src/DllPlugInTester
+/CppUnit-1.9.14/src/msvc6
+/CppUnit-1.9.14/src/qttestrunner
+/CppUnit-1.9.14/src/*.*
+/CppUnit-1.9.14/*.*
+/CsMap/*.c
+/CsMap/CsMapConsoleUtilities
+/CsMap/Data
+/CsMap/Dictionaries/*.asc
+/CsMap/Dictionaries/*.c
+/CsMap/Dictionaries/Compiler.*
+/CsMap/Dictionaries/CS-MAP.*
+/CsMap/Dictionaries/cs-map.*
+/CsMap/Dictionaries/WW15MGH.GRD
+/CsMap/Dictionaries/Usa/Geoid03
+/CsMap/Dictionaries/Usa/Geoid96
+/CsMap/Dictionaries/Usa/Geoid99
+/CsMap/Dictionaries/Usa/NSRS2007
+/CsMap/Dictionaries/Usa/NSRS2011
+/CsMap/Documentation
+/CsMap/obj47
+/CsMap/Source
+/CsMap/TestCpp
+/CsMap/VC*
+/dbxml/*.cpp
+/dbxml/install/lib/*.a
+/dbxml/db-4.8.26
+/dbxml/dbxml/build_unix
+/dbxml/dbxml/build_windows
+/dbxml/dbxml/dist
+/dbxml/dbxml/autom4te.cache
+/dbxml/dbxml/docs
+/dbxml/dbxml/examples
+/dbxml/dbxml/src
+/dbxml/dbxml/test
+/dbxml/xerces-c-src/Build
+/dbxml/xerces-c-src/config
+/dbxml/xerces-c-src/doc
+/dbxml/xerces-c-src/m4
+/dbxml/xerces-c-src/projects
+/dbxml/xerces-c-src/samples
+/dbxml/xerces-c-src/scripts
+/dbxml/xerces-c-src/tests
+/dbxml/xqilla
+/DWFTK/develop/global/build
+/DWFTK/develop/global/rc
+/DWFTK/develop/global/src/*.cpp
+/FDO
+/gd/*.c
+/geos/*.cpp
+/geos/capi
+/geos/cmake
+/geos/doc
+/geos/macros
+/geos/php
+/geos/swig
+/geos/tests
+/geos/tools
+/geos/VisualStudio
+/httpd
+/jsoncpp/buildscons
+/jsoncpp/dist
+/jsoncpp/doc
+/jsoncpp/makefiles
+/jsoncpp/scons-local-0.97
+/jsoncpp/scons-tools
+/jsoncpp/src
+/jsoncpp/test
+/LinuxApt/apr-util-1.5.4
+/LinuxApt/httpd-2.4.10/builds
+/LinuxApt/httpd-2.4.10/docs
+/LinuxApt/httpd-2.4.10/modules
+/LinuxApt/httpd-2.4.10/server
+/LinuxApt/httpd-2.4.10/support
+/LinuxApt/httpd-2.4.10/test
+/LinuxApt/php-5.5.17/build
+/LinuxApt/php-5.5.17/modules
+/LinuxApt/php-5.5.17/netware
+/LinuxApt/php-5.5.17/pear
+/LinuxApt/php-5.5.17/tests
+/LinuxApt/php-5.5.17/win32
+/LinuxApt/php-5.5.17/sapi
+/LinuxApt/php-5.5.17/scripts
+/LinuxApt/tomcat-connectors-1.2.40-src
+/LinuxApt/*.tar.gz
+/LinuxApt/*.tar.bz2
+/php
+/SQLite
+/SWIGEx/Misc
+/SWIGEx/Source
+/SWIGEx/Win
+/SWIGEx/Win32
+/WebTools/7-Zip
\ No newline at end of file

Added: sandbox/jng/diet_vs2015/Oem/setenvironment.bat
===================================================================
--- sandbox/jng/diet_vs2015/Oem/setenvironment.bat	                        (rev 0)
+++ sandbox/jng/diet_vs2015/Oem/setenvironment.bat	2015-10-14 13:46:53 UTC (rev 8778)
@@ -0,0 +1,424 @@
+ at echo off
+SET MG_OEM_PLATFORM=x64
+SET MG_OEM_CLR_PLATFORM=x64
+SET MG_OEM_PLAT_SHORT=64
+SET MG_OEM_CONFIG=Release
+:study_params
+if (%1)==() goto setvars
+
+if "%1"=="-config"   goto get_config
+if "%1"=="-c"        goto get_config
+
+if "%1"=="-platform" goto get_platform
+if "%1"=="-p"        goto get_platform
+
+if "%1"=="-help"     goto help_show
+if "%1"=="-h"        goto help_show
+
+goto custom_error
+
+:next_param
+shift
+shift
+goto study_params
+
+:get_platform
+SET MG_OEM_PLATFORM=%2
+if "%2"=="Win32" (
+    SET MG_OEM_PLAT_SHORT=
+    SET MG_OEM_CLR_PLATFORM=x86
+    goto next_param
+)
+if "%2"=="x64" goto next_param
+SET ERRORMSG=Unrecognised platform: %2
+goto custom_error
+
+:get_config
+SET MG_OEM_CONFIG=%2
+if "%2"=="Debug" goto next_param
+if "%2"=="debug" (
+    SET MG_OEM_CONFIG=Debug
+    goto next_param
+)
+if "%2"=="Release" goto next_param
+if "%2"=="release" (
+    SET MG_OEM_CONFIG=Release
+    goto next_param
+)
+SET ERRORMSG=Unrecognised config: %2
+goto custom_error
+
+:setvars
+if "%MG_OEM_CONFIG%"=="Debug" (
+    SET MG_OEM_ACE_DEBUG_SUFFIX=d
+    SET MG_OEM_CPPUNIT_DEBUG_SUFFIX=d
+    SET MG_OEM_CSMAP_DEBUG_SUFFIX=d
+    SET MG_OEM_DBXML_DEBUG_SUFFIX=d
+    SET MG_OEM_XERCES_DEBUG_SUFFIX=d
+    SET MG_OEM_DWFTK_DEBUG_SUFFIX=
+    SET MG_OEM_FDO_DEBUG_SUFFIX=
+    SET MG_OEM_GD_DEBUG_SUFFIX=
+    SET MG_OEM_FREETYPE_DEBUG_SUFFIX=_d
+    SET MG_OEM_LIBJPEG_DEBUG_SUFFIX=d
+    SET MG_OEM_LIBPNG_DEBUG_SUFFIX=d
+    SET MG_OEM_ZLIB_DEBUG_SUFFIX=d
+    SET MG_OEM_GEOS_DEBUG_SUFFIX=d
+    SET MG_OEM_JSONCPP_DEBUG_SUFFIX=d
+) else (
+    SET MG_OEM_ACE_DEBUG_SUFFIX=
+    SET MG_OEM_CPPUNIT_DEBUG_SUFFIX=
+    SET MG_OEM_CSMAP_DEBUG_SUFFIX=
+    SET MG_OEM_DBXML_DEBUG_SUFFIX=
+    SET MG_OEM_XERCES_DEBUG_SUFFIX=
+    SET MG_OEM_DWFTK_DEBUG_SUFFIX=
+    SET MG_OEM_FDO_DEBUG_SUFFIX=
+    SET MG_OEM_GD_DEBUG_SUFFIX=
+    SET MG_OEM_FREETYPE_DEBUG_SUFFIX=
+    SET MG_OEM_LIBJPEG_DEBUG_SUFFIX=
+    SET MG_OEM_LIBPNG_DEBUG_SUFFIX=
+    SET MG_OEM_ZLIB_DEBUG_SUFFIX=
+    SET MG_OEM_GEOS_DEBUG_SUFFIX=
+    SET MG_OEM_JSONCPP_DEBUG_SUFFIX=
+)
+
+SET SEVENZ_DIR=%CD%\WebTools\7-zip
+SET SEVENZ=%SEVENZ_DIR%\7z.exe
+SET MG_OEM_HTTPD_VER=2.4.10
+SET MG_OEM_PHP_VER=5.5.17
+SET MG_OEM_TOMCAT_VER=7.0.56
+
+REM ==================== HTTPD ========================
+SET MG_OEM_HTTPD_ROOT=%CD%\LinuxApt\httpd-%MG_OEM_HTTPD_VER%
+SET MG_OEM_HTTPD_LIB_DIR=%CD%\httpd\lib%MG_OEM_PLAT_SHORT%
+SET MG_OEM_HTTPD_LIBS=libhttpd.lib;libapr-1.lib;libaprutil-1.lib
+SET MG_OEM_HTTPD_PACKAGE_NAME=httpd-%MG_OEM_HTTPD_VER%-%MG_OEM_CLR_PLATFORM%-VC11.zip
+REM ==================== PHP ==========================
+SET MG_OEM_PHP_ROOT=%CD%\LinuxApt\php-%MG_OEM_PHP_VER%
+if "%MG_OEM_PLATFORM%"=="x64" (
+SET MG_OEM_PHP_LIB_DIR=%CD%\php\x64\Release_TS
+) else (
+SET MG_OEM_PHP_LIB_DIR=%CD%\php\Release_TS
+)
+SET MG_OEM_PHP_LIBS=php5ts.lib
+SET MG_OEM_PHP_PACKAGE_NAME=php-%MG_OEM_PHP_VER%-%MG_OEM_CLR_PLATFORM%-VC11.zip
+REM ==================== Tomcat =======================
+SET MG_OEM_TOMCAT_PACKAGE_NAME=apache-tomcat-%MG_OEM_TOMCAT_VER%
+SET MG_OEM_TOMCAT_PACKAGE=%CD%\LinuxApt\%MG_OEM_TOMCAT_PACKAGE_NAME%.tar.gz
+
+:check_httpd
+if not exist %MG_OEM_HTTPD_ROOT% goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\httpd.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\http_config.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\ap_config.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\http_log.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\http_protocol.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\http_main.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\util_script.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\http_core.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\apr_strings.h goto unpack_httpd
+if not exist %MG_OEM_HTTPD_ROOT%\include\apr_tables.h goto unpack_httpd
+goto check_php
+:unpack_httpd
+pushd LinuxApt
+if not exist httpd-%MG_OEM_HTTPD_VER%.tar "%SEVENZ%" x httpd-%MG_OEM_HTTPD_VER%.tar.bz2
+"%SEVENZ%" x -y httpd-%MG_OEM_HTTPD_VER%.tar
+popd
+:check_php
+rem *sigh* there is not a 100% reliable way to nuke a directory in windows from the cmd line to make way 
+rem for a new MapGuide build, meaning we could have empty PHP directories from a previous build that would 
+rem pass the previous iteration of this check to determine if PHP needs to be unpacked. So check for the specific
+rem headers that we know we are going to be using and if a single one of these headers cannot be found then
+rem do the archive unpacking
+if not exist %MG_OEM_PHP_ROOT% goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\ext goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\ext\standard goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\ext\standard\info.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\main goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\main\php.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\main\php_ini.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\main\config.w32.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\main\win95nt.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\TSRM goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\TSRM\readdir.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\Zend goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\Zend\zend.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\Zend\zend_exceptions.h goto unpack_php
+if not exist %MG_OEM_PHP_ROOT%\Zend\zend_API.h goto unpack_php
+goto patch_php_headers
+:unpack_php
+pushd LinuxApt
+if not exist php-%MG_OEM_PHP_VER%.tar "%SEVENZ%" x php-%MG_OEM_PHP_VER%.tar.bz2
+"%SEVENZ%" x -y php-%MG_OEM_PHP_VER%.tar
+popd
+:patch_php_headers
+echo Patching PHP headers
+copy /Y %CD%\php\main\*.h %MG_OEM_PHP_ROOT%\main\
+copy /Y %CD%\php\TSRM\*.h %MG_OEM_PHP_ROOT%\TSRM\
+:patch_httpd_headers
+echo Patching HTTPD headers
+copy /Y %CD%\httpd\include\*.h %MG_OEM_HTTPD_ROOT%\include\
+popd
+
+REM ==================== ACE ==========================
+SET MG_OEM_ACE_INC_DIR=%CD%\ACE\ACE_Wrappers
+SET MG_OEM_ACE_LIB_DIR=%CD%\ACE\ACE_Wrappers\lib%MG_OEM_PLAT_SHORT%\%MG_OEM_CONFIG%
+SET MG_OEM_ACE_LIBS=ACE%MG_OEM_ACE_DEBUG_SUFFIX%.lib
+SET MG_OEM_ACE_BIN_DIR=%MG_OEM_ACE_LIB_DIR%
+REM ==================== AGG ==========================
+REM ==================== CppUnit ======================
+SET MG_OEM_CPPUNIT_INC_DIR=%CD%\CppUnit-1.9.14\include
+SET MG_OEM_CPPUNIT_LIB_DIR=%CD%\CppUnit-1.9.14\lib%MG_OEM_PLAT_SHORT%\%MG_OEM_CONFIG%
+SET MG_OEM_CPPUNIT_LIBS=CppUnit%MG_OEM_CPPUNIT_DEBUG_SUFFIX%.lib
+REM ==================== CS-Map =======================
+SET MG_OEM_CSMAP_INC_DIR=%CD%\CsMap\Include
+SET MG_OEM_CSMAP_LIB_DIR=%CD%\CsMap\lib110\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%
+SET MG_OEM_CSMAP_LIBS=csmap%MG_OEM_CSMAP_DEBUG_SUFFIX%.lib
+SET MG_OEM_CSMAP_DICT_DIR=%CD%\CsMap\Dictionaries
+REM ==================== DBXML ========================
+SET MG_OEM_DBXML_INC_DIR=%CD%\dbxml\include\dbxml
+SET MG_OEM_DBXML_LIB_DIR=%CD%\dbxml\lib%MG_OEM_PLAT_SHORT%\%MG_OEM_CONFIG%
+SET MG_OEM_DBXML_LIBS=libdbxml25%MG_OEM_DBXML_DEBUG_SUFFIX%.lib;libdb48%MG_OEM_DBXML_DEBUG_SUFFIX%.lib
+SET MG_OEM_DBXML_BIN_DIR=%CD%\dbxml\bin%MG_OEM_PLAT_SHORT%\%MG_OEM_CONFIG%
+SET MG_OEM_XERCES_INC_DIR=%CD%\dbxml\include
+SET MG_OEM_XERCES_LIB_DIR=%CD%\dbxml\lib%MG_OEM_PLAT_SHORT%\%MG_OEM_CONFIG%
+SET MG_OEM_XERCES_LIBS=xerces-c_3mg%MG_OEM_XERCES_DEBUG_SUFFIX%.lib
+REM ==================== DWFTK ========================
+SET MG_OEM_DWFTK_INC_DIR=%CD%\DWFTK\develop\global\src
+if "%MG_OEM_PLATFORM%"=="x64" (
+    SET MG_OEM_DWFTK_LIB_DIR=%CD%\DWFTK\develop\global\lib\%MG_OEM_PLATFORM%\static\%MG_OEM_CONFIG%\vc10.0
+) else (
+    SET MG_OEM_DWFTK_LIB_DIR=%CD%\DWFTK\develop\global\lib\static\%MG_OEM_CONFIG%\vc10.0
+)
+SET MG_OEM_DWFTK_LIBS=dwfcore_wt.1.7.0%MG_OEM_DWFTK_DEBUG_SUFFIX%.lib;dwftk_wt.7.7.0%MG_OEM_DWFTK_DEBUG_SUFFIX%.lib;whiptk_wt.7.13.601%MG_OEM_DWFTK_DEBUG_SUFFIX%.lib
+SET MG_OEM_DWFTK_LIBS_RENDERERS=%MG_OEM_DWFTK_LIBS%;w3dtk_wt.1.7.1555%MG_OEM_DWFTK_DEBUG_SUFFIX%.lib
+SET MG_OEM_DWFTK_LIBS_DRAWING_SVC=%MG_OEM_DWFTK_LIBS_RENDERERS%
+SET MG_OEM_DWFTK_LIBS_KML_SVC=dwfcore_wt.1.7.0%MG_OEM_DWFTK_DEBUG_SUFFIX%.lib
+SET MG_OEM_DWFTK_LIBS_RESOURCE_SVC=dwfcore_wt.1.7.0%MG_OEM_DWFTK_DEBUG_SUFFIX%.lib
+REM ==================== FDO ==========================
+SET MG_OEM_FDO_ROOT=%CD%\FDO
+SET MG_OEM_FDO_INC_DIR=%MG_OEM_FDO_ROOT%\Inc
+SET MG_OEM_FDO_LIB_DIR=%MG_OEM_FDO_ROOT%\Lib%MG_OEM_PLAT_SHORT%
+SET MG_OEM_FDO_LIBS=FDO%MG_OEM_FDO_DEBUG_SUFFIX%.lib
+REM ==================== GD ===========================
+SET MG_OEM_GD_INC_DIR=%CD%\gd\gd
+SET MG_OEM_GD_LIB_DIR=%CD%\gd\build\win32\gd\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%
+SET MG_OEM_GD_LIBS=gd%MG_OEM_GD_DEBUG_SUFFIX%.lib
+SET MG_OEM_GD_BIN_DIR=%MG_OEM_GD_LIB_DIR%
+SET MG_OEM_FREETYPE_INC_DIR=%CD%\gd\freetype\include
+SET MG_OEM_FREETYPE_LIB_DIR=%CD%\gd\freetype\objs\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%\
+SET MG_OEM_FREETYPE_LIBS=freetype235%MG_OEM_FREETYPE_DEBUG_SUFFIX%.lib
+SET MG_OEM_LIBJPEG_INC_DIR=%CD%\gd\jpeg
+SET MG_OEM_LIBJPEG_LIB_DIR=%CD%\gd\jpeg\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%
+SET MG_OEM_LIBJPEG_LIBS=jpeg%MG_OEM_LIBJPEG_DEBUG_SUFFIX%.lib
+SET MG_OEM_LIBPNG_INC_DIR=%CD%\gd\lpng
+SET MG_OEM_LIBPNG_LIB_DIR=%CD%\gd\lpng\projects\vs\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%
+SET MG_OEM_LIBPNG_LIBS=libpng%MG_OEM_LIBPNG_DEBUG_SUFFIX%.lib
+SET MG_OEM_ZLIB_INC_DIR=%CD%\gd\zlib
+SET MG_OEM_ZLIB_LIB_DIR=%CD%\gd\lpng\projects\vs\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%\ZLib
+SET MG_OEM_ZLIB_LIBS=zlib%MG_OEM_ZLIB_DEBUG_SUFFIX%.lib
+REM ==================== GEOS =========================
+SET MG_OEM_GEOS_INC_DIR=%CD%\geos\include
+SET MG_OEM_GEOS_LIB_DIR=%CD%\geos\VisualStudio\%MG_OEM_CONFIG%%MG_OEM_PLAT_SHORT%
+SET MG_OEM_GEOS_LIBS=GEOS%MG_OEM_GEOS_DEBUG_SUFFIX%.lib
+SET MG_OEM_GEOS_BIN_DIR=%MG_OEM_GEOS_LIB_DIR%
+REM ==================== JSONCPP ======================
+SET MG_OEM_JSONCPP_INC_DIR=%CD%\jsoncpp\include
+SET MG_OEM_JSONCPP_LIB_DIR=%CD%\jsoncpp\lib%MG_OEM_PLAT_SHORT%\%MG_OEM_CONFIG%
+SET MG_OEM_JSONCPP_LIBS=lib_json%MG_OEM_JSONCPP_DEBUG_SUFFIX%.lib
+SET MG_OEM_JSONCPP_BIN_DIR=%MG_OEM_JSONCPP_LIB_DIR%
+REM ==================== SWIG =========================
+SET MG_OEM_SWIG_BIN_DIR=%CD%\SWIGEx\Win32
+SET MG_OEM_SWIG_LIB_DIR=%CD%\SWIGEx\Lib
+REM ==================== IMAKE ========================
+SET MG_OEM_IMAKE_BIN_DIR=%CD%\WebTools\IMake\Win32
+REM ==================== JAVA =========================
+
+SET DEFAULT_JAVA_HOME_32=C:\Program Files (x86)\Java\jdk1.7.0_80
+SET DEFAULT_JAVA_HOME_64=C:\Program Files\Java\jdk1.7.0_80
+IF "%JAVA_HOME%" == "" goto set_default_java
+goto check_paths
+:set_default_java
+    SET JAVA_HOME=%DEFAULT_JAVA_HOME_32%
+    if "%MG_OEM_PLATFORM%"=="x64" SET JAVA_HOME=%DEFAULT_JAVA_HOME_64%
+
+:check_paths
+REM Path sanity checking
+if not exist %MG_OEM_ACE_INC_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_ACE_INC_DIR [%MG_OEM_ACE_INC_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_ACE_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_ACE_LIB_DIR [%MG_OEM_ACE_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_CPPUNIT_INC_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_CPPUNIT_INC_DIR [%MG_OEM_CPPUNIT_INC_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_CPPUNIT_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_CPPUNIT_LIB_DIR [%MG_OEM_CPPUNIT_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_CSMAP_DICT_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_CSMAP_DICT_DIR [%MG_OEM_CSMAP_DICT_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_CSMAP_INC_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_CSMAP_INC_DIR [%MG_OEM_CSMAP_INC_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_CSMAP_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_CSMAP_LIB_DIR [%MG_OEM_CSMAP_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_DBXML_INC_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_DBXML_INC_DIR [%MG_OEM_DBXML_INC_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_DBXML_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_DBXML_LIB_DIR [%MG_OEM_DBXML_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_XERCES_INC_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_XERCES_INC_DIR [%MG_OEM_XERCES_INC_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_XERCES_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_XERCES_LIB_DIR [%MG_OEM_XERCES_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_HTTPD_ROOT% (
+    SET ERRORMSG=No such path: MG_OEM_HTTPD_ROOT [%MG_OEM_HTTPD_ROOT%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_HTTPD_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_XERCES_LIB_DIR [%MG_OEM_XERCES_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_PHP_ROOT% (
+    SET ERRORMSG=No such path: MG_OEM_PHP_ROOT [%MG_OEM_PHP_ROOT%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_PHP_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_PHP_LIB_DIR [%MG_OEM_PHP_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_SWIG_BIN_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_SWIG_BIN_DIR [%MG_OEM_SWIG_BIN_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_SWIG_LIB_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_SWIG_LIB_DIR [%MG_OEM_SWIG_LIB_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_IMAKE_BIN_DIR% (
+    SET ERRORMSG=No such path: MG_OEM_IMAKE_BIN_DIR [%MG_OEM_IMAKE_BIN_DIR%]
+    goto custom_error_no_help
+)
+if not exist %MG_OEM_TOMCAT_PACKAGE% echo [warning]: The tomcat package does not exist (%MG_OEM_TOMCAT_PACKAGE%). Building installers may fail
+
+echo ========= Environment Variable Summary ============
+echo Platform: %MG_OEM_PLATFORM%
+echo Configuration: %MG_OEM_CONFIG%
+echo ==================== ACE ==========================
+echo MG_OEM_ACE_INC_DIR = %MG_OEM_ACE_INC_DIR%
+echo MG_OEM_ACE_LIB_DIR = %MG_OEM_ACE_LIB_DIR%
+echo MG_OEM_ACE_LIBS = %MG_OEM_ACE_LIBS%
+echo MG_OEM_ACE_BIN_DIR = %MG_OEM_ACE_BIN_DIR%
+echo ==================== CppUnit ======================
+echo MG_OEM_CPPUNIT_INC_DIR = %MG_OEM_CPPUNIT_INC_DIR%
+echo MG_OEM_CPPUNIT_LIB_DIR = %MG_OEM_CPPUNIT_LIB_DIR%
+echo MG_OEM_CPPUNIT_LIBS = %MG_OEM_CPPUNIT_LIBS%
+echo ==================== CS-Map =======================
+echo MG_OEM_CSMAP_INC_DIR = %MG_OEM_CSMAP_INC_DIR%
+echo MG_OEM_CSMAP_LIB_DIR = %MG_OEM_CSMAP_LIB_DIR%
+echo MG_OEM_CSMAP_LIBS = %MG_OEM_CSMAP_LIBS%
+echo MG_OEM_CSMAP_DICT_DIR = %MG_OEM_CSMAP_DICT_DIR%
+echo ==================== DBXML ========================
+echo MG_OEM_DBXML_BIN_DIR = %MG_OEM_DBXML_BIN_DIR%
+echo MG_OEM_DBXML_INC_DIR = %MG_OEM_DBXML_INC_DIR%
+echo MG_OEM_DBXML_LIB_DIR = %MG_OEM_DBXML_LIB_DIR%
+echo MG_OEM_DBXML_LIBS = %MG_OEM_DBXML_LIBS%
+echo MG_OEM_XERCES_INC_DIR = %MG_OEM_XERCES_INC_DIR%
+echo MG_OEM_XERCES_LIB_DIR = %MG_OEM_XERCES_LIB_DIR%
+echo MG_OEM_XERCES_LIBS = %MG_OEM_XERCES_LIBS%
+echo ==================== DWFTK ========================
+echo MG_OEM_DWFTK_INC_DIR = %MG_OEM_DWFTK_INC_DIR%
+echo MG_OEM_DWFTK_LIB_DIR = %MG_OEM_DWFTK_LIB_DIR%
+echo MG_OEM_DWFTK_LIBS = %MG_OEM_DWFTK_LIBS%
+echo ==================== FDO ==========================
+echo MG_OEM_FDO_INC_DIR = %MG_OEM_FDO_INC_DIR%
+echo MG_OEM_FDO_LIB_DIR = %MG_OEM_FDO_LIB_DIR%
+echo MG_OEM_FDO_LIBS = %MG_OEM_FDO_LIBS%
+echo ==================== GD ===========================
+echo MG_OEM_GD_INC_DIR = %MG_OEM_GD_INC_DIR%
+echo MG_OEM_GD_LIB_DIR = %MG_OEM_GD_LIB_DIR%
+echo MG_OEM_GD_LIBS = %MG_OEM_GD_LIBS%
+echo MG_OEM_FREETYPE_INC_DIR = %MG_OEM_FREETYPE_INC_DIR%
+echo MG_OEM_FREETYPE_LIB_DIR = %MG_OEM_FREETYPE_LIB_DIR%
+echo MG_OEM_FREETYPE_LIBS = %MG_OEM_FREETYPE_LIBS%
+echo MG_OEM_LIBJPEG_INC_DIR = %MG_OEM_LIBJPEG_INC_DIR%
+echo MG_OEM_LIBJPEG_LIB_DIR = %MG_OEM_LIBJPEG_LIB_DIR%
+echo MG_OEM_LIBJPEG_LIBS = %MG_OEM_LIBJPEG_LIBS%
+echo MG_OEM_LIBPNG_INC_DIR = %MG_OEM_LIBPNG_INC_DIR%
+echo MG_OEM_LIBPNG_LIB_DIR = %MG_OEM_LIBPNG_LIB_DIR%
+echo MG_OEM_LIBPNG_LIBS = %MG_OEM_LIBPNG_LIBS%
+echo MG_OEM_ZLIB_INC_DIR = %MG_OEM_ZLIB_INC_DIR%
+echo MG_OEM_ZLIB_LIB_DIR = %MG_OEM_ZLIB_LIB_DIR%
+echo MG_OEM_ZLIB_LIBS = %MG_OEM_ZLIB_LIBS%
+echo ==================== GEOS =========================
+echo MG_OEM_GEOS_BIN_DIR = %MG_OEM_GEOS_BIN_DIR%
+echo MG_OEM_GEOS_INC_DIR = %MG_OEM_GEOS_INC_DIR%
+echo MG_OEM_GEOS_LIB_DIR = %MG_OEM_GEOS_LIB_DIR%
+echo MG_OEM_GEOS_LIBS = %MG_OEM_GEOS_LIBS%
+echo ==================== HTTPD ========================
+echo MG_OEM_HTTPD_ROOT = %MG_OEM_HTTPD_ROOT%
+echo MG_OEM_HTTPD_LIB_DIR = %MG_OEM_HTTPD_LIB_DIR%
+echo MG_OEM_HTTPD_LIBS = %MG_OEM_HTTPD_LIBS%
+echo MG_OEM_HTTPD_PACKAGE_NAME = %MG_OEM_HTTPD_PACKAGE_NAME%
+echo ==================== PHP ==========================
+echo MG_OEM_PHP_INC_DIR = %MG_OEM_PHP_INC_DIR%
+echo MG_OEM_PHP_LIB_DIR = %MG_OEM_PHP_LIB_DIR%
+echo MG_OEM_PHP_LIBS = %MG_OEM_PHP_LIBS%
+echo MG_OEM_PHP_PACKAGE_NAME = %MG_OEM_PHP_PACKAGE_NAME%
+echo ==================== JSONCPP ======================
+echo MG_OEM_JSONCPP_BIN_DIR = %MG_OEM_JSONCPP_BIN_DIR%
+echo MG_OEM_JSONCPP_INC_DIR = %MG_OEM_JSONCPP_INC_DIR%
+echo MG_OEM_JSONCPP_LIB_DIR = %MG_OEM_JSONCPP_LIB_DIR%
+echo MG_OEM_JSONCPP_LIBS = %MG_OEM_JSONCPP_LIBS%
+echo ==================== SWIG =========================
+echo MG_OEM_SWIG_BIN_DIR = %MG_OEM_SWIG_BIN_DIR%
+echo MG_OEM_SWIG_LIB_DIR = %MG_OEM_SWIG_LIB_DIR%
+echo ==================== IMAKE ========================
+echo MG_OEM_IMAKE_BIN_DIR = %MG_OEM_IMAKE_BIN_DIR%
+echo ==================== JAVA =========================
+echo JAVA_HOME = %JAVA_HOME%
+echo ==================== TOMCAT =======================
+echo MG_OEM_TOMCAT_PACKAGE_NAME = %MG_OEM_TOMCAT_PACKAGE_NAME%
+echo MG_OEM_TOMCAT_PACKAGE = %MG_OEM_TOMCAT_PACKAGE%
+goto quit
+
+:custom_error_no_help
+echo [ERROR]: %ERRORMSG%
+SET ERRORMSG=
+exit /B 1
+
+:custom_error
+echo [ERROR]: %ERRORMSG%
+SET ERRORMSG=
+echo Please use the format:
+:help_show
+echo ************************************************************************
+echo build.bat [-h]
+echo           [-a=Action]
+echo           [-o=OutputDirectory]
+echo Help:                  -h[elp]
+echo Action:                -a[ction]=build(default)
+echo                                  clean
+echo ************************************************************************
+:quit
+SET MG_OEM_OUTPUT=
+SET MG_OEM_PLATFORM=
+SET MG_OEM_CONFIG=
+SET MG_OEM_ACTION=
\ No newline at end of file



More information about the mapguide-commits mailing list